This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 453430

Summary: libvirt: grub on installed 64bit virtual machine fails with Error 18
Product: [Fedora] Fedora Reporter: thanosz <athanasios.zorbas>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8CC: berrange
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:50:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description thanosz 2008-06-30 11:46:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
After updating to libvirt-0.4.3-1.fc8 I can not boot the virtual machine running SLES10 64bit. I am using qemu-kvm

When the virtual machine booted up initially it was showing the grub prompt - not the grub menu. I boot up from the rescue CD and reinstall grub. Then at subsequent boot-ups the grub fails with Error 18.

Note that this only happens on the 64bit guest. I also run 32bit guest and did not exhibit this problem.

Downgrading to libvirt-0.4.2-1.fc8 fixes the problem. Note that this is a test environment needed in my work environment so please request all logs at once (I will have to upgrade, collect the logs, and then downgrade to continue working)

Host kernel is 2.6.25.6-27.fc8

Guest is installed on 15GB lvm2 partition
Guest Info:
SUSE Linux Enterprise Server 10 (x86_64)
VERSION = 10
PATCHLEVEL = 1
Linux 2.6.16.46-0.12-default 
GNU GRUB 0.97 


Version-Release number of selected component (if applicable):
libvirt-0.4.3-1.fc8

How reproducible:
Always


Steps to Reproduce:
1.Install a 64bit OS
2.update libvirt with latest update
3.boot the VM

Actual Results:
Grub errors on the guest

Expected Results:
guest should boot up

Additional info:
Comment 1 Daniel Veillard 2008-06-30 14:47:36 EDT
Please try with 0.4.4-1.fc8 it's available in the testing repository,

Daniel
Comment 2 thanosz 2008-07-09 05:46:41 EDT
I have updated to the latest version but the problem persists.
Comment 3 Daniel Berrange 2008-07-09 05:53:51 EDT
I suspect this could well be a result of the CDROM boot problem described in bug
452355

Please re-test with the packages available there. You may find you need to start
from scratch - the  GRUB install you did from rescueCD may be totally broken &
need to be re-done
Comment 4 thanosz 2008-07-09 09:24:20 EDT
Just one note,

I am able to boot from 64bit bootable cdrom so I do not think this one is
related with 452355. It is the already installed guest 64bit guest that does not
boot. I even removed the cdrom from the guest configuration but the problem remains

Comment 5 thanosz 2008-07-25 07:49:01 EDT
Just an update

problem persists with libvirt-0.4.4-2.fc8
Comment 6 Bug Zapper 2008-11-26 05:56:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:50:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.